/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.iface;

import java.util.Set;

public interface BrowserData
{
  public static final String KEY_BROWSER_NAME = "Browser";

  public static final String KEY_VERSION = "Version";

  public static final String KEY_MAJOR_VERSION = "MajorVer";

  public static final String KEY_MINOR_VERSION = "MinorVer";

  public static final String KEY_PLATFORM = "Platform";

  public static final String KEY_CLR_VERSION = "CLR_Version";

  public String getUserAgent();

  public String getBrowserAttribute(String key);

  public Set getBrowserFlags();

} // end interface BrowserData
